PHP-инклюдинг в PHP-CON

Дата публикации:
29.11.2007
Дата изменения:
27.12.2007
Всего просмотров:
1041
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHP_CON 1.x
Уязвимые версии: PHP-CON 1.3, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "webappcfg[APPPATH]" в сценарии PHP_CON/Exchange/include.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/PHP_CON/Exchange/include.php?webappcfg[APPPATH]=[file]

URL производителя: sourceforge.net/projects/php-con/

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA